Type to search.

Start or resume reindexing

Base URL
https://{kibana_url}
  • POST /api/upgrade_assistant/reindex/{index}
Auth The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Preview This functionality is in technical preview and is ready for evaluation. Use with caution in production; it is not recommended for mission-critical workloads. Elastic will work to fix any issues, but features in technical preview are not subject to the support SLA of official GA features. Specific Support terms apply. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.

Start a new reindex or resume a paused reindex. The following steps are performed during a reindex task:

  1. Set the index to read-only.
  2. Create a new index.
  3. Reindex documents into the new index.
  4. Create an index alias for the new index.
  5. Delete the old index.

Path parameters

index string required

The name of the index to reindex.

Response

Indicates a successful call.

application/json
errorMessage string

The error that caused the reindex to fail, if it failed.

indexName string

The name of the old index.

lastCompletedStep integer

The last successfully completed step of the reindex. For example:

  • 0: The reindex task has been created in Kibana. - 10: The index group services stopped. Only applies to some system indices. - 20: The index is set to readonly. - 30: The new destination index has been created. - 40: The reindex task in Elasticsearch has started. - 50: The reindex task in Elasticsearch has completed. - 60: Aliases were created to point to the new index, and the old index has been deleted. - 70: The index group services have resumed. Only applies to some system indices.
newIndexName string

The name of the new index.

reindexTaskId string

The task ID of the reindex task in Elasticsearch. This value appears when the reindexing starts.

reindexTaskPercComplete number

The progress of the reindexing task in Elasticsearch. It appears in decimal form, from 0 to 1.

status integer

The reindex status. For example:

  • 0: In progress - 1: Completed - 2: Failed - 3: Paused